Printago API
POST
/v1/sku-variants/values
Create a new variant value
Request Body
- Variant value data
CreateSkuOptionValueRequest
namerequired
string
optionIdrequired
string
pattern: ^[a-z0-9]{24}$
skuSuffixesoptional
string[]
Example Request
application/json
{
"name": "string",
"optionId": "string",
"skuSuffixes": [
"string"
]
}
Response Schema
SkuOptionValue
createdAtrequired
string
format: date-time
idrequired
string
pattern: ^[a-z0-9]{24}$
namerequired
string
optionIdrequired
string
orderrequired
number
skuSuffixesoptional
string[]
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
201 OK — application/json
{
"name": "string",
"order": 1,
"id": "string",
"storeId": "string",
"createdAt": "2026-08-24T03:58:56.331Z",
"updatedAt": "2026-08-24T03:58:56.331Z"
}